Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.planner.core.heuristic.selector.entity.pillar
Interface PillarSelector

All Superinterfaces:
  EventListener, Iterable<List<Object>>, ListIterable<List<Object>>, Selector, SolverLifecycleListener, SolverPhaseLifecycleListener

All Known Implementing Classes:
  SameValuePillarSelector

    public interface PillarSelector

extends Selector, ListIterable<List<Object>>

A pillar is a `List` of entities that are somehow related. Selects a `List` of somehow related entities that are moved together.

See Also:
  `EntitySelector`

Method Summary
`PlanningEntityDescriptor` | `getEntityDescriptor()`
`ListIterator<List<Object>>` | `listIterator()` See `List.listIterator()`
`ListIterator<List<Object>>` | `listIterator(int index)` See `List.listIterator()`

Methods inherited from interface org.drools.planner.core.heuristic.selector.Selector
`getSize, isContinuous, isNeverEnding`

Methods inherited from interface org.drools.planner.core.phase.event.SolverPhaseLifecycleListener
`phaseEnded, phaseStarted, stepEnded, stepStarted`

Methods inherited from interface org.drools.planner.core.solver.event.SolverLifecycleListener
`solvingEnded, solvingStarted`

Methods inherited from interface java.lang.Iterable
`iterator`

Method Detail

### getEntityDescriptor

    PlanningEntityDescriptor getEntityDescriptor()

  Returns:
    never null

### listIterator

    ListIterator<List<Object>> listIterator()

  See `List.listIterator()`

  Specified by:
    `listIterator` in interface `ListIterable<List<Object>>`
  Returns:
    never null, see `List.listIterator()`.

### listIterator

    ListIterator<List<Object>> listIterator(int index)

  See `List.listIterator()`

  Specified by:
    `listIterator` in interface `ListIterable<List<Object>>`
  Parameters:
    `index` - lower than `Selector.getSize()`, see `List.listIterator(int)`.
  Returns:
    never null, see `List.listIterator(int)`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 JBoss by Red Hat. All Rights Reserved.